curl --request POST \
--url https://api.arcuserp.com/v1/vendor-bills/{id}/correct-landed-cost \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"description": "<string>",
"amount": 123,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_cost": 123,
"tax_rate": 123,
"po_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_amount": 123,
"gl_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"landed_cost_category": "<string>",
"landed_manual_shares": [
{
"receiving_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
]
}
],
"landed_cost_receipt_txn_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"allow_duplicate_override": true,
"duplicate_override_reason": "<string>"
}
'import requests
url = "https://api.arcuserp.com/v1/vendor-bills/{id}/correct-landed-cost"
payload = {
"items": [
{
"description": "<string>",
"amount": 123,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_cost": 123,
"tax_rate": 123,
"po_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_amount": 123,
"gl_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"landed_cost_category": "<string>",
"landed_manual_shares": [
{
"receiving_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
]
}
],
"landed_cost_receipt_txn_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"allow_duplicate_override": True,
"duplicate_override_reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
description: '<string>',
amount: 123,
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 123,
unit_cost: 123,
tax_rate: 123,
po_item_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tax_amount: 123,
gl_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
landed_cost_category: '<string>',
landed_manual_shares: [{receiving_transaction_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', amount: 1}]
}
],
landed_cost_receipt_txn_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
allow_duplicate_override: true,
duplicate_override_reason: '<string>'
})
};
fetch('https://api.arcuserp.com/v1/vendor-bills/{id}/correct-landed-cost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"landed_receipt_warnings": [
{
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bill_number": "<string>",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_name": "<string>",
"bill_date": "2023-12-25",
"status": "<string>",
"receipt_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"categories": [
"<string>"
],
"landed_amount": 123,
"allocated_on_these_receipts": 123,
"allocated_on_this_receipt": 123,
"landed_lines": [
{
"category": "<string>",
"amount": 123
}
],
"sentence": "<string>"
}
],
"landed_allocation": {
"journal_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"landed_total_cents": 123,
"inventory_portion_cents": 123,
"cogs_portion_cents": 123,
"allocation_mode": "receipt_set",
"allocation_bases": [
{
"item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_basis": "<string>",
"basis_used": "<string>",
"fell_back": true
}
]
},
"landed_reversal": {}
}
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"duplicates": [
{
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bill_number": "<string>",
"vendor_name": "<string>",
"bill_date": "2023-12-25",
"category": "<string>",
"existing_amount": 123,
"new_amount": 123
}
],
"landed_receipt_warnings": [
{
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bill_number": "<string>",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_name": "<string>",
"bill_date": "2023-12-25",
"status": "<string>",
"receipt_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"categories": [
"<string>"
],
"landed_amount": 123,
"allocated_on_these_receipts": 123,
"allocated_on_this_receipt": 123,
"landed_lines": [
{
"category": "<string>",
"amount": 123
}
],
"sentence": "<string>"
}
],
"requires_override": true
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}Correct a bill's landed cost
Corrects the landed cost on a paid or partially paid vendor bill by reversing the prior landed-cost allocation, re-allocating at the corrected freight amount, and issuing a vendor credit for the overcharge. Requires purchasing:write scope plus the per-user accounting.post permission, is idempotent via the Idempotency-Key header, and is refused with 409 when the bill has been voided, written off, or has no payments applied yet.
Authorizations
API key issued per entity via Settings > Developers > API Keys.
Each key carries scopes (e.g. orders:read, products:write).
Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.
Headers
Optional idempotency key (UUID). Re-POST with same key returns cached 200 without re-processing.
Path Parameters
Body
The full desired line set for the bill, carrying the corrected landed amount (landed lines may use landed_alloc_basis 'manual' with landed_manual_shares, as on create).
Show child attributes
Show child attributes
Replaces the bill's receipt set; when absent the stored set is kept and re-judged.
Overrides a likely duplicate landed charge, with duplicate_override_reason (see createVendorBillV1); audited.
Response
Landed cost corrected; vendor credit issued. The body carries landed_reversal (the reversal's split between inventory and cost of goods sold at the moment it ran), landed_allocation (the re-allocation and the basis each landed line used) and landed_receipt_warnings (every other landed bill on the receipts). The cost figures (the split, the portions, allocated_on_these_receipts) follow the margin permission, so an API key receives the rest without them.
Show child attributes
Show child attributes
Was this page helpful?

